// stores the reference to the XMLHttpRequest object
var xmlHttp = createXmlHttpRequestObject();
// retrieves the XMLHttpRequest object
function createXmlHttpRequestObject()
{
// will store the reference to the XMLHttpRequest object
var xmlHttp;
// if running Internet Explorer
if(window.ActiveXObject)
{
try
{
xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
}
catch (e)
{
xmlHttp = false;
}
}
// if running Mozilla or other browsers
else
{
try
{
xmlHttp = new XMLHttpRequest();
}
catch (e)
{
xmlHttp = false;
}
}
// return the created object or display an error message
if (!xmlHttp)
alert("Error creating the XMLHttpRequest object.");
else
return xmlHttp;
}
// make asynchronous HTTP request using the XMLHttpRequest object


function process()
{

//document.getElementById('submission').style.visibility = 'visible';
// proceed only if the xmlHttp object isn't busy
if (xmlHttp.readyState == 4 || xmlHttp.readyState == 0)
{
// retrieve the name typed by the user on the form
apttime = encodeURIComponent(document.getElementById("apttime").value);
aptdate = encodeURIComponent(document.getElementById("aptdate").value);
toservice = encodeURIComponent(document.getElementById("tos").value);

//xmlHttp.open("GET", "quickstart.php?apttime=" + apttime + "&aptdate=" + aptdate, true);
//xmlHttp.onreadystatechange = handleServerResponse;


//document.getElementById("lname").innerHTML= "start ajax";

if(toservice == 2){

xmlHttp.open("GET", "quickstart.php?apttime=" + apttime + "&aptdate=" + aptdate, true);
xmlHttp.onreadystatechange = handleServerResponse;

}else {
document.getElementById('submission').disabled=false;
document.getElementById("lname").innerHTML= "";
document.getElementById('tm1').innerHTML = "";
setRequestHeader("Connection", "close");
}


xmlHttp.send(null);
}
else
// if the connection is busy, try again after one second
setTimeout('process()', 1000);

exit;
}
// executed automatically when a message is received from the server


function handleServerResponse()
{
// move forward only if the transaction has completed
if (xmlHttp.readyState == 4)
{
// status of 200 indicates the transaction completed successfully
if (xmlHttp.status == 200)
{
// extract the XML retrieved from the server
xmlResponse = xmlHttp.responseXML;
// obtain the document element (the root element) of the XML structure
xmlDocumentElement = xmlResponse.documentElement;
// get the text message, which is in the first child of
// the the document element
helloMessage = xmlDocumentElement.firstChild.data;
// update the client display using the data received from the server

answer= helloMessage;

if(answer == '1'){ 
document.getElementById("lname").innerHTML= "Appointment Already Taken";
document.getElementById('tm1').innerHTML = "<img src=ex.gif></img>";
//document.getElementById('submission').style.visibility = 'hidden';
document.getElementById('submission').disabled=true;
}
else {
document.getElementById("lname").innerHTML= "Appointment Available";
document.getElementById('tm1').innerHTML = "<img src=check.gif></img>";
document.getElementById('submission').disabled=false;
}

// restart sequence
setTimeout('process()', 1000);
}
// a HTTP status different than 200 signals an error
else
{
alert("There was a problem accessing the server: " +
xmlHttp.statusText);
}
}
}

